Subject: Re: bug#31920: 26.1; frame appears in wrong part of desktop after restoring frameset from fullscreen

From: martin rudalics <[email-masked]>
Date: Sat, 23 Jun 2018 10:40:25 +0200

I found a simpler scenario: With emacs -Q do C-x r f a, drag the frame
somewhere else on your screen and do C-x r j a.  Here the registered
position is restored.  Now do C-x r f a, drag the frame somewhere
else, do F11 and C-x r j a.  Here the frame is restored to the
position it had before F11 and not to the one registered by C-x r f a.

So this time it seems that I have the right explanation: We first
position the frame according to the position from the register and
then demaximize it.  But we should first demaximize and then
reposition it.  Can you confirm?

martin